/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct PluginManifestWebapp {
    /// Path to the webapp JavaScript bundle.
    #[serde(rename = "bundle_path", skip_serializing_if = "Option::is_none")]
    pub bundle_path: Option<String>,
}

impl PluginManifestWebapp {
    pub fn new() -> PluginManifestWebapp {
        PluginManifestWebapp { bundle_path: None }
    }
}
